#
# spec file for package perl-Number-Phone-JP
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Number-Phone-JP
Version:        0.20190301
Release:        1.1
%define cpan_name Number-Phone-JP
Summary:        Validate Japanese phone numbers
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TA/TANIGUCHI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Number::Phone)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(UNIVERSAL::require)
Requires:       perl(Number::Phone)
Requires:       perl(Test::Requires)
Requires:       perl(UNIVERSAL::require)
%{perl_requires}

%description
Number::Phone::JP is a simple module to validate Japanese phone number
formats. The Japanese phone numbers are regulated by Ministry of Internal
Affairs and Communications of Japan. You can validate what a target number
is valid from this regulation point of view.

There are many categories for type of telephones in Japan. This module is
able to be used narrowed down to the type of phones.

This module only validates what a phone number agrees on the regulation.
Therefore, it does *NOT* validate what a phone number actually exists.

This validation needs only an area (or category) prefix and behind it. The
separator of number behind the prefix is ignored.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Mar 13 2019 coolo@suse.com
- updated to 0.20190301
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20190301 Tue Mar  5 2019
  - Update some table classes.
* Tue Feb  5 2019 coolo@suse.com
- updated to 0.20190204
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20190204 Tue Feb  5 2019
  - Update some table classes.
* Tue Jan  8 2019 coolo@suse.com
- updated to 0.20190104
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20190104 Mon Jan  7 2019
  - Update some table classes.
* Thu Dec  6 2018 coolo@suse.com
- updated to 0.20181203
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20181203 Wed Dec  5 2018
  - Update some table classes.
* Thu Nov  8 2018 opensuse@dstoecker.de
- Fix automated changes
* Thu Nov  8 2018 coolo@suse.com
- updated to 0.20181102
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20181102 Mon Nov  5 2018
  - Update some table classes.
  0.20181001 Fri Oct  5 2018
  - Update some table classes.
* Wed Sep 19 2018 coolo@suse.com
- updated to 0.20180904
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
* Wed Jun  6 2018 coolo@suse.com
- updated to 0.20180605
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20180605 Wed Jun  6 2018
  - Update some table classes.
  - Fixed a typo in the pod, it was patched by Mohammad S Anwar (MANWAR).
* Wed May 16 2018 coolo@suse.com
- updated to 0.20180509
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20180509 Tue May 15 2018
  - Update some table classes.
* Wed Apr  4 2018 coolo@suse.com
- updated to 0.20180402
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
* Fri Mar  2 2018 coolo@suse.com
- updated to 0.20180301
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20180301 Thu Mar  1 2018
  - Update some table classes.
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.20180202
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20180202 Fri Feb  2 2018
  - Update some table classes.
  0.20180104 Fri Jan  5 2018
  - Update some table classes.
  0.20171201 Fri Dec  1 2017
  - Update some table classes.
  0.20171002 Mon Oct  2 2017
  - Update some table classes.
  0.20170901 Mon Sep  4 2017
  - Added a new table class Number::Phone::JP::Table::M2m
  - Modified to support to import duplicated prefixes.
  - Update some table classes.
* Thu Aug  3 2017 coolo@suse.com
- updated to 0.20170801
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20170801 Wed Aug  2 2017
  - Update some table classes.
* Tue Jul  4 2017 coolo@suse.com
- updated to 0.20170703
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20170703 Tue Jul  4 2017
  - Update some table classes.
* Fri Jun  2 2017 coolo@suse.com
- updated to 0.20170601
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20170601 Thu Jun  1 2017
  - Update some table classes.
* Tue May  2 2017 coolo@suse.com
- updated to 0.20170501
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20170501 Mon May  1 2017
  - Update some table classes.
* Fri Jan  6 2017 coolo@suse.com
- updated to 0.20170104
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20170104 Wed Jan  4 2017
  - Update some table classes.
* Wed Nov  2 2016 coolo@suse.com
- updated to 0.20161101
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20161101 Tue Nov  1 2016
  - Update some table classes.
* Tue Oct  4 2016 coolo@suse.com
- updated to 0.20161003
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20161003 Mon Oct  3 2016
  - Update some table classes.
* Wed Aug  3 2016 coolo@suse.com
- updated to 0.20160801
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160801 Tue Aug  2 2016
  - Update some table classes.
* Thu Jul  7 2016 coolo@suse.com
- updated to 0.20160705
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160705 Wed Jul  6 2016
  - Update some table classes.
* Sun Jun 12 2016 coolo@suse.com
- updated to 0.20160601
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160601 Thu Jun  2 2016
  - Update some table classes.
* Mon May 23 2016 coolo@suse.com
- updated to 0.20160502
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160502 Tue May 10 2016
  - Update some table classes.
* Thu Apr  7 2016 coolo@suse.com
- updated to 0.20160404
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160404 Tue Apr  5 2016
  - Update some table classes.
* Tue Mar  8 2016 coolo@suse.com
- updated to 0.20160301
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160301 Thu Mar  3 2016
  - Update some table classes.
* Sat Feb 13 2016 coolo@suse.com
- updated to 0.20160201
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160201 Tue Feb  9 2016
  - Update some table classes.
* Wed Jan 13 2016 coolo@suse.com
- updated to 0.20160105
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20160105 Tue Jan 12 2016
  - Update some table classes.
* Wed Dec  9 2015 coolo@suse.com
- updated to 0.20151202
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20151202 Mon Dec  7 2015
  - Update some table classes.
* Thu Sep  3 2015 coolo@suse.com
- updated to 0.20150901
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20150901 Thu Sep  3 2015
  - Update some table classes.
* Tue Aug  4 2015 coolo@suse.com
- updated to 0.20150803
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20150803 Mon Aug  3 2015
  - Update some table classes.
* Sat Jul  4 2015 coolo@suse.com
- updated to 0.20150703
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20150703 Fri Jul  3 2015
  - Update some table classes.
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.20150602
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20150602 Tue Jun  2 2015
  - Update some table classes.
* Wed May 13 2015 coolo@suse.com
- updated to 0.20150513
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20150513 Wed May 13 2015
  - Update some table classes.
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.20150402
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20150402 Mon Apr  6 2015
  - Update some table classes.
  0.20150304 Thu Mar  5 2015
  - Update some table classes.
  0.20150203 Mon Feb  9 2015
  - Update some table classes.
  0.20150106 Tue Jan 13 2015
  - Update some table classes.
  0.20141201 Thu Dec  4 2014
  - Update some table classes.
  0.20141105 Mon Nov 10 2014
  - In October, rules of mobile number portability in Japan has been changed.
    Each number of Mobiles (cellular) phones and PHS phones can be exchanged
    portably and seamlessly. Therefore, Number::Phone::JP::Table::Mobile and
    Number::Phone::JP::Table::Phs use same validation table and
    return same results on given same numbers.
    It was noticed, and patched by Kazuma Shiraiwa.
  - Update some table classes.
  0.20141001 Fri Oct  3 2014
  - Update some table classes.
  0.20140901 Thu Sep  4 2014
  - Update some table classes.
  0.20140804 Wed Aug  6 2014
  - Update some table classes.
  0.20140602 Mon Jun  2 2014
  - Update some table classes.
  0.20140501 Thu May  1 2014
  - Update some table classes.
  0.20140401 Mon Apr  7 2014
  - Update some table classes.
  0.20140303 Tue Mar  4 2014
  - Update some table classes.
  - Ministry of Internal Afairs and Communications of Japan
    announced that "Q2" service has been stopped providing
    at the end of February 2014 but this module will handle valid for
    some former Q2 numbers for some future versions because some ranges of
    the Q2 numbers are still allocated for NTT East and NTT West.
    It means that maybe Number::Phone::JP::Table::Q2 will be
    stopped updating.
  0.20140203 Mon Feb  3 2014
  - Update some table classes.
  0.20140106 Mon Jan  6 2014
  - Update some table classes.
  0.20131001 Tue Oct  1 2013
  - Update some table classes.
  0.20130603 Mon Jun  3 2013
  - Update some table classes.
  0.20130501 Tue May  7 2013
  - Update some table classes.
  0.20130401 Wed Apr  3 2013
  - Update some table classes.
  0.20130201 Mon Feb  4 2013
  - Update some table classes.
  0.20130107 Mon Jan  7 2013
  - Update some table classes.
  0.20121203 Mon Dec  3 2012
  - Update some table classes.
  0.20121001 Mon Oct  1 2012
  - Update some table classes.
  0.20120801 Thu Aug  2 2012
  - Update some table classes.
  0.20120702 Tue Jul 10 2012
  - Update some table classes.
  0.20120601 Fri Jun  1 2012
  - Update some table classes.
  0.20120502 Mon May  7 2012
  - Update some table classes.
  0.20120301 Fri Mar  2 2012
  - Update some table classes.
  - Quit updating the table of Number::Phone::JP::Table::Fmc.
    It will be deprecated because Ministry of Internal Afairs and
    Communications of Japan stopped updating this table.
    They said the number which is prefixed with "060" is currently
    no longer used by any telecommunication business operator.
  0.20120105 Wed Jan 11 2012
  - Update some table classes.
  0.20111101 Wed Nov  2 2011
  - Update some table classes.
  0.20111003 Tue Oct 11 2011
  - Update some table classes.
  - Fixed typo (bug) in xt/perlcritic.t
  - Modified JP.pm to work correctly when the user uses Number::Phone
    module and set Japanese number with country code prefix.
    was advised, and patched by Naoki Tomita (tomi-ru).
  - Implemented some Number::Phone compatible methods and interfaces.
    was also patched by Naoki Tomita (tomi-ru). thanks a lot.
  0.20110901 Mon Sep  5 2011
  - Update some table classes.
  0.20110801 Mon Aug  8 2011
  - Update some table classes.
  0.20110704 Fri Jul  8 2011
  - Update some table classes.
  0.20110601 Thu Jun  9 2011
  - Update some table classes.
  0.20110502 Wed Jun  8 2011
  - fixed to avoid being purged the hash of phone number table
    if you use this module twice or more than twice time.
    was patched by TOKUHIROM (MATSUNO★Tokuhiro). thanks.
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.20111101
  see /usr/share/doc/packages/perl-Number-Phone-JP/Changes
  0.20111101 Wed Nov  2 2011
  - Update some table classes.
  0.20111003 Tue Oct 11 2011
  - Update some table classes.
  - Fixed typo (bug) in xt/perlcritic.t
  - Modified JP.pm to work correctly when the user uses Number::Phone
    module and set Japanese number with country code prefix.
    was advised, and patched by Naoki Tomita (tomi-ru).
  - Implemented some Number::Phone compatible methods and interfaces.
    was also patched by Naoki Tomita (tomi-ru). thanks a lot.
  0.20110901 Mon Sep  5 2011
  - Update some table classes.
  0.20110801 Mon Aug  8 2011
  - Update some table classes.
  0.20110704 Fri Jul  8 2011
  - Update some table classes.
  0.20110601 Thu Jun  9 2011
  - Update some table classes.
  0.20110502 Wed Jun  8 2011
  - fixed to avoid being purged the hash of phone number table
    if you use this module twice or more than twice time.
    was patched by TOKUHIROM (MATSUNO★Tokuhiro). thanks.
* Fri Apr  8 2011 coolo@novell.com
- fix perl requires
* Fri Apr  8 2011 coolo@novell.com
- initial package 0.20110401
  * created by cpanspec 1.78.04
